import AuthLoginForm from "./auth/login/Form.component.js"
import AuthPage from './auth/Page.component.js'
import MFASetupPage from './auth/MFASetup.component.js'
import MFAChallengePage from './auth/MFAChallenge.component.js'
import MFADisableComponent from './auth/MFADisable.component.js'
import PasswordResetComponent from './auth/PasswordReset.component.js'
import InvokeActionComponent from './InvokeAction.component.js'
import RegistrationFormComponent from './auth/register/Form.component.js'
import MessageContainerComponent from './dash/message/MessageContainer.component.js'
import MFARecoveryComponent from './auth/MFARecovery.component.js'

// Create the global
import { T } from './service/Translate.service.js'

const components = {
    AuthLoginForm,
    AuthPage,
    MFASetupPage,
    MFAChallengePage,
    MFADisableComponent,
    PasswordResetComponent,
    InvokeActionComponent,
    RegistrationFormComponent,
    MessageContainerComponent,
    MFARecoveryComponent,
}

export { components }
