import SideBarComponent from './dash/SideBar.component.js'
import NavBarComponent from './dash/NavBar.component.js'
import MessageContainerComponent from './dash/message/MessageContainer.component.js'
import EditProfileComponent from './dash/profile/EditProfile.component.js'
import AppPasswordFormComponent from './dash/profile/form/AppPassword.component.js'
import ProfilePhotoUploaderComponent from './dash/profile/form/ProfilePhotoUploader.component.js'
import AppSetupComponent from './dash/AppSetup.component.js'

import ListingComponent from './cobalt/Listing.component.js'
import FormComponent from './cobalt/Form.component.js'

import { T } from './service/Translate.service.js'

const dash_components = {
    SideBarComponent,
    NavBarComponent,
    MessageContainerComponent,
    EditProfileComponent,
    AppPasswordFormComponent,
    ProfilePhotoUploaderComponent,
    AppSetupComponent,

    ListingComponent,
    FormComponent,
}

export { dash_components }
