const users_routes = {

    prefix: false, // false | string

    middleware: [
        'Logger'
    ],

    search: {
        'ou=people': [
            'ldap_middleware::BindUser',
            'ldap_controller::Users.search_people',
        ],
    },

    bind: {
        'ou=people': ['ldap_controller::Users.bind'],
    },

    add: {
        'ou=people': [
            'ldap_middleware::BindUser',
            'ldap_controller::Users.add_people',
        ],
    },

    del: {
        'ou=people': [
            'ldap_middleware::BindUser',
            'ldap_controller::Users.delete',
        ],
    },

    modify: {
        'ou=people': [
            'ldap_middleware::BindUser',
            'ldap_controller::Users.modify_people',
        ],
    },

    compare: {
        'ou=people': [
            'ldap_middleware::BindUser',
            'ldap_controller::Users.compare',
        ],
    },

}

module.exports = exports = users_routes
