/*
 * Configuration for Flitter-Redis.
 * You can access the IORedis instance on the redis service:
 *  app.di().service('redis').client()
 */
const redis_config = {

    // How to connect to the server
    // See IORedis docs for config options:
    //  https://github.com/luin/ioredis#connect-to-redis
    server: {
        host: env('REDIS_HOST', 'localhost'),
        port: env('REDIS_PORT', 6379),
    },
}

module.exports = exports = redis_config
