module.exports = exports = {
    none: '(None)',
    user_exists_with_field: 'A user already exists with the field: ',
    no_mfa_or_recovery: 'Your user is not configured to use MFA, or has no recovery codes.',
    no_mfa: 'Your user is not configured to use MFA.',
    already_has_mfa: 'MFA is already configured for your user.',
    password_complexity_fail: 'Password does not meet the minimum complexity score of MIN_SCORE.',
    duplicate_pw: 'This password is a duplicate of one of your previous passwords.',
    invalid_trap: 'Invalid trap type.',

    unable_to_grant_trust: 'Unable to grant trust. Grant token is invalid.',
    missing_trust_flow: 'Missing trust flow data.',

    invalid_un_or_pw: 'Invalid username or password.',
    unable_to_complete: 'Unable to complete authentication: one or more errors occurred',

    sign_in_to_continue: 'Please, sign-in to continue.',
    logged_out: 'You have been suggessfully logged out.',

    already_mfa: 'It looks like your account is already set up for multi-factor authentication. Unable to continue with MFA setup.',
    mfa_prompt: 'Your account is not configured to use multi-factor authentication. Would you like to configure it now?',
    mfa_disable_prompt: 'You are about to disable multi-factor authentication for your account. This process will require you to re-authenticate to continue. <br><br> Proceed?',
    mfa_no_recovery: 'Unfortunately, it looks like your account does not have any MFA recovery codes generated.',
    unable_to_authorize: 'Unable to authorize client application. The application config is invalid. Please check the client ID and redirect URI and try again.',

    oauth_prompt: 'CLIENT_NAME is requesting access to your APP_NAME account. Once you grant it, you may not be prompted for permission again.',
    will_redirect: 'You will be redirected to:',
    reauth_to_continue: 'Please re-authenticate to continue.',
}
