module.exports = exports = {
    generate_app_pw: 'Generate App-Password',
    app_pws: 'App Passwords',
    app_name: 'App Name',
    cool_email_client: 'My really cool e-mail client',
    app_pw_success: 'The app password for <code>APP_NAME</code> was generated successfully. Copy the password below and use it in <code>APP_NAME</code> to sign in. Note that, once you close this window, you will no longer be able to view this password.',

    change_photo: 'Change Profile Photo',
    profile_photo: 'Profile Photo',

    placeholder_first: 'John',
    placeholder_last: 'Doe',
    placeholder_email: 'john.doe@contoso.com',

    tagline: 'Tagline',
    basic_profile: 'Basic Profile',

    pw_last_reset: 'Your password was last changed on LAST_RESET.',
    mfa_enabled_on: 'MFA was enabled for your account on MFA_ENABLED.',

    app_pw_1: 'App passwords are specially generated passwords that allow you to sign into legacy services with your APP_NAME account.',
    app_pw_2: 'You should only use this to authenticate against a service that needs to repeatedly use your password on your behalf (e.g. e-mail clients).',
    app_pw_3: 'Use these with caution, as they can bypass your multi-factor authentication.',

    app_pw_remaining: {
        one: 'You have NUM_PWS app password associated with your account.',
        many: 'You have NUM_PWS app passwords associated with your account.',
    },

    notifications: 'Notifications',
    app_key: 'Application Key',
    example_gateway_url: 'https://gotify.myexample.domain',
    save_notify: 'Save Notification Settings',
    test_notify: 'Send Test Notification',
    notify_explainer_1: `By default, APP_NAME will send you account and security notifications via e-mail. However, if you prefer, you can configure APP_NAME to send you push notifications via a <a href="https://gotify.net/" target="_blank" rel="noopener noreferrer">Gotify notification gateway.</a>`,
    notify_explainer_2: `To get this up and running, you need to create an application in your Gotify dashboard for APP_NAME. Then, you'll need to provide the URL of your Gotify server and the application key. APP_NAME will use this information to send you push notifications regarding security events.`,
    test_notification: 'This is a test notification! If you see this, it means you have properly configured your notification settings.',

    issued: 'Issued:',
    gen_new: 'Generate New',
    recovery_codes: 'Recovery Codes',
    recovery_1: 'Recovery codes can be used to regain access to your account in the event that you lose access to the device that generates your MFA codes.',
    no_recovery: 'No recovery codes have been generated for your account.',
    generate_recovery: 'Generate Recovery Codes',
    recovery_gen_on: 'Recovery codes were generate for your account on MFA_RECOVERY.',
    codes_remaining: {
        one: 'There is only 1 recovery code remaining.',
        many: 'There are NUM_CODES recovery codes remaining.',
    },
    regenerate_recovery: 'Re-generate Recovery Codes',

    mfa_1: 'MFA is a good-practice security measure that requires you to provide a second factor of identification when you sign in from a service or device that makes use of APP_NAME.',
    mfa_2: 'Once enabled, APP_NAME will prompt you to enter a code when you sign-in with the APP_NAME web interface from a new device. It will also require you to append the code to your password when signing in to a service that uses APP_NAME as a backend.',
}
