import CRUDBase from '../CRUDBase.js'

class RoleResource extends CRUDBase {
    endpoint = '/api/v1/auth/roles'
    required_fields = ['role', 'permissions']
    permission_base = 'v1:auth:roles'

    item = 'Role'
    plural = 'Roles'
}

const auth_role = new RoleResource()
export { auth_role }
