import CRUDBase from '../CRUDBase.js'

class TrapResource extends CRUDBase {
    endpoint = '/api/v1/auth/traps'
    required_fields = ['name', 'trap', 'redirect_to']
    permission_base = 'v1:auth:traps'

    item = 'Trap'
    plural = 'Traps'
}

const auth_trap = new TrapResource()
export { auth_trap }
