import CRUDBase from '../CRUDBase.js'

class ScopeResource extends CRUDBase {
    endpoint = '/api/v1/reflect/scopes'
    required_fields = ['scope']
    permission_base = 'v1:reflect:scopes'

    item = 'API Scope'
    plural = 'API Scopes'
}

const reflect_scope = new ScopeResource()
export { reflect_scope }
