/*
 * Global Middleware Definitions
 * -------------------------------------------------------------
 * These middleware are applied, in order, before every request that
 * Flitter handles, regardless of request type. Each middleware class
 * can be referenced using the middleware's Flitter canonical name.
 * 
 * Route-specific middleware should be specified in the corresponding
 * routes file.
 */
const Middleware = [
    "i18n:Localize",
    "auth:Utility",
    "auth:TrustTokenUtility",
    "Traps",
    "SAMLUtility",

    // 'MiddlewareName',

]

module.exports = exports = Middleware
