const locale_routes = {
    prefix: '/api/v1/locale',

    middleware: [],

    get: {
        '/resolve/:resolver': [
            'controller::api:v1:Locale.resolve'
        ],
        '/module/:resolver': [
            'controller::api:v1:Locale.load_module',
        ],
    },

    post: {
        '/batch': [
            'controller::api:v1:Locale.batch_resolve',
        ],
    },
}

module.exports = exports = locale_routes
