const password_routes = {
    prefix: '/password',

    middleware: [
        'auth:UserOnly',
    ],

    get: {
        '/reset': [
            ['middleware::auth:RequireTrust', { scope: 'password.reset' }],
            'controller::auth:Password.get_reset',
        ],
    },
}

module.exports = exports = password_routes
