const saml_routes = {
    prefix: '/saml',

    middleware: [

    ],

    get: {
        '/metadata.xml': ['controller::saml:SAML.get_metadata'],
        '/sso': [
            'middleware::SAMLRequest',
            'middleware::auth:UserOnly',
            'controller::saml:SAML.get_sso',
        ],
        '/logout': [
            'middleware::SAMLRequest',
            'middleware::auth:UserOnly',
            'controller::saml:SAML.get_logout',
        ],
    },

    post: {
        '/logout': [
            'middleware::SAMLRequest',
            'middleware::auth:UserOnly',
            'controller::saml:SAML.post_logout',
        ],
    },
}

module.exports = exports = saml_routes
